# Class QueryHandlerImpl

Class QueryHandlerImpl

Declaration :

- C++ : template<class TY> class QueryHandlerImpl : public ResolverBase

Relation <association>

Declaration :

- Uml : # : QueryHandlerImpl
- C++ : protected: QueryHandlerImpl*

Relation <association>

Declaration :

- Uml : # : QueryHandlerImpl
- C++ : protected: QueryHandlerImpl*

Relation <association>

Declaration :

- Uml : # : QueryHandlerImpl
- C++ : protected: QueryHandlerImpl*

Relation <association>

Declaration :

- Uml : # : QueryHandlerImpl
- C++ : protected: QueryHandlerImpl*

Operation resolve

Declaration :

- Uml : + resolve(inout solution : P<TY>, in query : Query<TY>) : bool
- C++ : public: bool resolve ()

Relation <unidirectional association>

Declaration :

- Uml : # : YAP_Prolog
- C++ : protected: YAP_Prolog*

Relation <unidirectional association>

Declaration :

- Uml : # : YAP_Prolog
- C++ : protected: YAP_Prolog*

Relation <unidirectional association>

Declaration :

- Uml : # : YAP_Prolog
- C++ : protected: YAP_Prolog*

All public operations : resolve , resolve